Runtime

## org.eclipse.gmf.runtime.diagram.core.listener
Interface NotificationPreCommitListener

    public interface NotificationPreCommitListener

Defines an EMF `Notification` listener; any class interested in listening to pre-commit events from the `DiagramEventBroker` which implements this interface. the transactionAboutToCommit method will get called by the `DiagramEventBroker#handleTransactionAboutToCommitEvent(Notification)`

Method Summary
`org.eclipse.emf.common.command.Command` `transactionAboutToCommit(org.eclipse.emf.common.notify.Notification notification)` Will be called when a Notification event gets sent from the DiagramEventBroker during the firing of pre-commit events.

Method Detail

### transactionAboutToCommit

    org.eclipse.emf.common.command.Command transactionAboutToCommit(org.eclipse.emf.common.notify.Notification notification)

  Will be called when a Notification event gets sent from the DiagramEventBroker during the firing of pre-commit events.

  Parameters:
    `notification` - the notification object

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.